DISTUTILS.ECLASS(5)

NAME
distutils - allow easier installation of distutils-based python modules

DESCRIPTION
The distutils eclass is designed to allow easier installation of distutils-based python modules and their incorporation into the Gentoo Linux system. The eclass defines src_compile and src_install for you. You should be able to make a quick ebuild without setting up any extra variables or functions.

VARIABLES

PYTHON_SLOT_VERSION = "[0|2.1]"
    This allows you to depend on python-2.1. This is usually only needed by a -py21- ebuild. Otherwise you should not have to set this.

DOCS = "<files to give to dodoc>"
    This will cause src_install to install a few extra documentation files than normal.

FUNCTIONS

distutils_python_version
    This will setup the variables PYVER_MAJOR, PYVER_MINOR, and PYVER with the corresponding values of the python version.

distutils_python_tkinter
    If the package requires tkinter support, then calling this function will cause the ebuild to fail if tkinter support does not exist. An informative message will be displayed telling the user they need to recompile python with tkinter support for the ebuild to emerge.

REPORTING BUGS
Please report bugs via http://bugs.gentoo.org/

SEE ALSO
ebuild(5)

FILES
/usr/portage/eclass/distutils.eclass

AUTHORS
Mike Frysinger <vapier@gentoo.org>

CVS HEADER
$Header: /var/cvsroot/gentoo-src/portage/man/distutils.eclass.5,v 1.3 2004/09/17 00:17:10 vapier Exp $